# -*- coding: utf-8 -*-
from __future__ import print_function

from .consts import (BASEPATH,
                     BUILTINS,
                     DEBUG,
                     DELETE_FLAG,
                     DYNAMIC_MODULE_PREFIX,
                     ENCODING,
                     FILE_ARGUMENT_NAMES,
                     HOSTNAME,
                     LAMBDA, λ,
                     MAXINT,
                     PATH,
                     PROJECT_NAME, PROJECT_PATH,
                     PY3, PYPY,
                     QUALIFIER,
                     SEPARATOR_WIDTH,
                     SINGLETON_TYPES,
                     SCRIPT_PATH, TEST_PATH,
                     TEXTMATE,
                     TOKEN,
                     VERBOTEN,
                     XDG_RUNTIME_BASE, XDG_RUNTIME_DIR,
                                       XDG_RUNTIME_MODE,
                     NoDefault)

from .data import GREEKOUT

from .enums import System, CSIDL, SYSTEM

from .exceptions import (BadDotpathWarning,
                         CDBError,
                         ConfigurationError,
                         ExecutionError, FilesystemError,
                         ExportError, ExportWarning,
                         KeyValueError,
                         Nondeterminism,
                         UnusedValueWarning)

from .polyfills import (Enum, EnumMeta, unique,
                        ispyname, pytuple,
                        AutoType, auto,
                        Counter, OrderedDict,
                        unicode, long,
                        Mapping, MutableMapping,
                        HashableABC, SequenceABC, SizedABC,
                        cache_from_source,
                        lru_cache,
                        Path, scandir, walk,
                        numpy)

from .terminalsize import get_terminal_size

__all__ = ('BASEPATH',
           'BUILTINS',
           'DEBUG',
           'DELETE_FLAG',
           'DYNAMIC_MODULE_PREFIX',
           'ENCODING',
           'FILE_ARGUMENT_NAMES',
           'HOSTNAME',
           'LAMBDA', 'λ',
           'MAXINT',
           'PATH',
           'PROJECT_NAME', 'PROJECT_PATH',
           'PY3', 'PYPY',
           'QUALIFIER',
           'SEPARATOR_WIDTH',
           'SINGLETON_TYPES',
           'SCRIPT_PATH', 'TEST_PATH',
           'TEXTMATE',
           'TOKEN',
           'VERBOTEN',
           'XDG_RUNTIME_BASE', 'XDG_RUNTIME_DIR',
                               'XDG_RUNTIME_MODE',
           'NoDefault',
           'GREEKOUT',
           'System', 'CSIDL', 'SYSTEM',
           'BadDotpathWarning',
           'CDBError',
           'ConfigurationError',
           'ExecutionError', 'FilesystemError',
           'ExportError', 'ExportWarning',
           'KeyValueError',
           'Nondeterminism',
           'UnusedValueWarning',
           'Enum', 'EnumMeta', 'unique',
           'ispyname', 'pytuple',
           'AutoType', 'auto',
           'Counter', 'OrderedDict',
           'unicode', 'long',
           'Mapping', 'MutableMapping',
           'HashableABC', 'SequenceABC', 'SizedABC',
           'cache_from_source',
           'lru_cache',
           'Path', 'scandir', 'walk',
           'numpy',
           'get_terminal_size')

__dir__ = lambda: list(__all__)